var swiper_thumb = new Swiper(".thumbImage", {
    spaceBetween: 10,
    slidesPerView: 4,
    direction: "vertical",
    loop: true,
    on: {
        init: (swiper) => {
            let totalGap = swiper.passedParams.spaceBetween * (swiper.passedParams.slidesPerView - 1);
            let containerHeight = swiper.passedParams.slidesPerView * swiper.slides[0].clientHeight + totalGap;
            swiper.el.style.height = containerHeight + 'px';
        },
    },
});

var swiper_big = new Swiper(".BigImage", {
    spaceBetween: 10,
    watchSlidesProgress: true,
    noSwiping: true,
    navigation: {
        nextEl: "#js-image-next",
        prevEl: "#js-image-prev",
    },
    thumbs: {
        swiper: swiper_thumb,
    },
});

function addDealCart() {
    $('.box-popup').removeClass('active')
    $('.overlay').addClass('active')
    $('.popup-add-cart').addClass('active')
}

function checkbuy() {
    var number_regex1 = /^[0]\d{9}$/i;
    var number_regex2 = /^[0]\d{10}$/i;
    var error = false;
    var name = $('#name').val();
    var $name = $('#name');
    var email = $('#email').val();
    var $email = $('#email');
    var phone = $('#phone').val();
    var $phone = $('#phone');
    var city = $('#city').val();
    var $city = $('#city');
    var district = $('#district').val();
    var $district = $('#district');
    var address = $('#address').val();
    var $address = $('#address');

    var item_name = $name.parents(".item-input");
    if (name.length < 4) {
        item_name.addClass('error');
        item_name.find($('.note-error')).html('Tên quá ngắn')
    } else if (name.indexOf('<script') > -1) {
        item_name.addClass('error');
        item_name.find($('.note-error')).html('Họ tên chứa các ký tự không hợp lệ, bạn vui lòng kiểm tra lại');
    }

    var item_email = $email.parents(".item-input");
    if (email.length < 4) {
        item_email.addClass('error')
        item_email.find($('.note-error')).html("Bạn chưa nhập Email");
        error = true;
    } else if (!validateEmail(email)) {
        item_email.addClass('error')
        item_email.find($('.note-error')).html("Địa chỉ email chưa chính xác");
        error = true;
    } else {
        item_email.removeClass('error');
        item_email.find($('.note-error')).html("");
    }

    var item_phone = $phone.parents(".item-input");
    if (phone.length < 4) {
        item_phone.addClass('error')
        item_phone.find($('.note-error')).html("Bạn chưa nhập SĐT");
        error = true;
    } else if (!phone.match(number_regex1) && !phone.match(number_regex2)) {
        item_phone.addClass('error')
        item_phone.find($('.note-error')).html("Số điện thoại chưa chính xác");
        error = true;
    } else {
        item_phone.removeClass('error');
        item_phone.find($('.note-error')).html("");
    }


    var item_city = $city.parents('.item-input');
    if (city == 0) {
        item_city.addClass('error');
        item_city.find($('.note-error')).html("Bạn chưa chọn Tỉnh/Thành phố");
        error = true;
    } else {
        item_city.removeClass('error');
        item_city.find($('.note-error')).html("");
    }

    var item_district = $district.parents('.item-input');
    if (district == 0) {
        item_district.addClass('error');
        item_district.find($('.note-error')).html("Bạn chưa chọn Quận/Huyện");
        error = true;
    } else {
        item_district.removeClass('error');
        item_district.find($('.note-error')).html("");
    }

    var item_check_add = $address.parents(".item-input");
    if (address.length < 5) {
        item_check_add.addClass('error')
        item_check_add.find($('.note-error')).html("Địa chỉ quá ngắn");
        error = true;
    } else if (address.indexOf('<script') > -1) {
        item_check_add.addClass('error')
        item_check_add.find($('.note-error')).html("Địa chỉ chứa các ký tự không hợp lệ, bạn vui lòng kiểm tra lại");
        error = true;
    } else {
        item_check_add.removeClass('error');
        item_check_add.find($('.note-error')).html("");
    }


    if (error) {
        alert('Vui lòng kiểm tra lại thông tin đơn hàng');
        return false;
    } else {
        $('.box-popup').removeClass('active');
        $('.popup-buy-success').addClass('active')
        $('.overlay').addClass('active')
    }


}

function closePopop() {
    $('.box-popup').removeClass('active');
    $('.overlay').removeClass('active')
}

function validateEmail(sEmail) {
    var filter = /^([\w-\.]+)@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.)|(([\w-]+\.)+))([a-zA-Z]{2,4}|[0-9]{1,3})(\]?)$/;
    if (filter.test(sEmail)) {
        return true;
    }
    else {
        return false;
    }
}

function validatePhoneNumber(a) {
    var number_regex1 = /^[0]\d{9}$/i;
    var number_regex2 = /^[0]\d{10}$/i;

    if (number_regex1.test(a) == false && number_regex2.test(a) == false) return false;
    return true;
}
